

package gov.va.med.cds.monitor;


public interface TransMgrReadMethodMetricsInterface
    extends
        MethodMetricsInterface
{

    long getTransMgrReadTransactions( );


    long getTransMgrReadElapsedTime( );


    double getTransMgrReadTransactionsPerSecond( );


    double getTransMgrReadAverageElapsedTime( );


    long getTransMgrReadMaxElapsedTime( );


    long getTransMgrReadMinElapsedTime( );

}
